import { Notify } from 'quasar';

const success = function (text: string, postion: 'top') {
  Notify.create({
    progress: true,
    type: 'positive',
    position: postion,
    message: text
  });
};

const error = function (text: string, postion: 'top') {
  Notify.create({
    progress: true,
    type: 'negative',
    position: postion,
    message: text
  });
};

const warn = function (text: string, postion: 'top') {
  Notify.create({
    progress: true,
    type: 'warning',
    position: postion,
    message: text
  });
};

const myMsg = {
  success,
  warn,
  error
};

export { myMsg };
